/*
 * Copyright (c) 1996, 2002 Sandro Sigala.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef FXREPTON_H
#define FXREPTON_H

enum SpriteObj {
	// Original Repton objects.  DO NOT CHANGE THE ORDER!

	Obj_Rock,
	Obj_Diamond,
	Obj_Ground1,
	Obj_Ground2,
	Obj_TimeCapsule,
	Obj_Skull,
	Obj_Empty,
	Obj_Wall,
	Obj_Wall_West,
	Obj_Wall_East,
	Obj_Wall_North,
	Obj_Wall_South,
	Obj_Wall_North_West,
	Obj_Wall_North_East,
	Obj_Wall_South_West,
	Obj_Wall_South_East,
	Obj_Filled_Wall,
	Obj_Filled_Wall_North_West,
	Obj_Filled_Wall_North_East,
	Obj_Filled_Wall_South_West,
	Obj_Filled_Wall_South_East,
	Obj_Wall_Mirror,
	Obj_Strongbox,
	Obj_Cage,
	Obj_Egg,
	Obj_Key,
	Obj_Fungus,
	Obj_Bomb,
	Obj_Transport,
	Obj_Crown,
	Obj_Repton,
	Obj_Spirit,
	Obj_Spirit2,
	Obj_Monster,
	Obj_Monster2,
	Obj_Repton_Look_Left,
	Obj_Repton_Look_Right,
	Obj_Repton_Go_Right1,
	Obj_Repton_Go_Right2,
	Obj_Repton_Go_Right3,
	Obj_Repton_Go_Right4,
	Obj_Repton_Go_Left1,
	Obj_Repton_Go_Left2,
	Obj_Repton_Go_Left3,
	Obj_Repton_Go_Left4,
	Obj_Repton_Go_Up1,
	Obj_Repton_Go_Up2,
        Obj_Broken_Egg,               
	NUM_SPRITES,

	// Non sprites.
        Obj_Broken_Egg1,	// Broken egg at stage 1.
        Obj_Broken_Egg2,	// Broken egg at stage 2.
        Obj_Broken_Egg3,	// Broken egg at stage 3.
        Obj_Falling_Egg,	// The egg is falling, so will break.

	// Masks.
	Obj_Mask_Spirit = 0,
	Obj_Mask_Spirit2,
	Obj_Mask_Monster,
	Obj_Mask_Monster2,
 	NUM_MASKS
};

const int num_sprites = NUM_SPRITES;
const int num_masks = NUM_MASKS;	// The two monsters
const int sprite_width = 32;
const int sprite_height = 32;
const int default_game_width = 9*sprite_width;
const int default_game_height = 9*sprite_height;
const unsigned int game_keytime = 80;

#endif // !FXREPTON_H
